
# Script para gnuplot
# para graficar un crculo y unos puntos
#
# Fraga 1/06/2011

set term x11
# set term png
# set output "circ.png"

Xc = 2
Yc = 2.5
a = 2
b = 1.1
alfa = 1.1  # Aqui en radianes

x(t) = a * cos(t)
y(t) = b * sin(t)

# La elipse rotada y transladada

c = cos(alfa)
s = sin(alfa)
xp(t) = x(t)*c - y(t)*s + Xc
yp(t) = x(t)*s + y(t)*c + Yc

set xrange [0:7]
set yrange [0:7]
set size ratio -1
unset key

set multiplot
set parametric

plot xp(t), yp(t) w l lt 3

unset parametric
plot 'pe' w p ps 2 pt 6
unset multiplot
pause -1

